Bug 745241 - OOM killer activated by leak in fuse
OOM killer activated by leak in fuse
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-11 14:39 EDT by Slawomir Czarko
Modified: 2011-11-17 18:29 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.41.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-17 18:29:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Slawomir Czarko 2011-10-11 14:39:02 EDT
Description of problem:

I was using tup (http://gittup.org/tup/) to build some software. While debugging an issue with tup I was running it thousands of time on my machine. After a few thousand runs OOM killer would start killing various programs even that the machine was reporting few GB of free RAM at the same time and swap wasn't used at all.

The patch in this link has fixed this for me:
https://github.com/torvalds/linux/commit/5dfcc87fd79dfb96ed155b524337dbd0da4f5993


Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Josh Boyer 2011-10-11 14:56:54 EDT
Thanks for the report and the link to the patch.  I'll look at getting it backported to F15.
Comment 2 Josh Boyer 2011-10-11 15:07:10 EDT
Should be in the next build.
Comment 3 Fedora Update System 2011-10-17 17:54:06 EDT
kernel-2.6.40.7-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.7-0.fc15
Comment 4 Fedora Update System 2011-10-18 18:07:12 EDT
Package kernel-2.6.40.7-0.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.7-0.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14513
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-10-24 11:13:10 EDT
kernel-2.6.40.7-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.7-3.fc15
Comment 6 Fedora Update System 2011-10-27 10:13:26 EDT
kernel-2.6.40.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-2.fc15
Comment 7 Fedora Update System 2011-11-01 15:59:29 EDT
kernel-2.6.40.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-4.fc15
Comment 8 Fedora Update System 2011-11-11 19:08:33 EST
kernel-2.6.41.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.1-1.fc15
Comment 9 Fedora Update System 2011-11-17 18:29:13 EST
kernel-2.6.41.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.